Subject: Re: [PATCH -next] netxen: fix build when CONFIG_INET=n

From: Randy Dunlap <[email-masked]>
Date: Tue, 28 Jul 2009 11:32:54 -0700

On Tue, 28 Jul 2009 11:25:19 -0700 Dhananjay Phadke wrote:

> Thanks Randy for catching, I didn't run  CONFIG_INET=n build.
> 
> I think, better option is to wrap code in netxen_nic_main.c with CONFIG_INET check,
> since it's not a mandatory feature.

OK, I'll leave that to you then.

> -Dhananjay
> ________________________________________
> From: Randy Dunlap [[email-masked]]
> Sent: Tuesday, July 28, 2009 11:21 AM
> To: Stephen Rothwell; [email-masked]
> Cc: [email-masked]; LKML; netdev; Dhananjay Phadke
> Subject: [PATCH -next] netxen: fix build when CONFIG_INET=n
> 
> From: Randy Dunlap <[email-masked]>
> 
> Fix netxen build errors when CONFIG_INET=n:
> 
> netxen_nic_main.c:(.text+0x1abb8a): undefined reference to `in_dev_finish_destroy'
> netxen_nic_main.c:(.init.text+0xd86e): undefined reference to `register_inetaddr_notifier'
> netxen_nic_main.c:(.exit.text+0x1b70): undefined reference to `unregister_inetaddr_notifier'
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> Cc: Dhananjay Phadke <[email-masked]>
> ---
>  drivers/net/Kconfig |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> --- linux-next-20090728.orig/drivers/net/Kconfig
> +++ linux-next-20090728/drivers/net/Kconfig
> @@ -2666,7 +2666,7 @@ config MYRI10GE_DCA
> 
>  config NETXEN_NIC
>         tristate "NetXen Multi port (1/10) Gigabit Ethernet NIC"
> -       depends on PCI
> +       depends on PCI && INET
>         help
>           This enables the support for NetXen's Gigabit Ethernet card.
> 
> 
> 
> 
> ---
> ~Randy
> LPC 2009, Sept. 23-25, Portland, Oregon
> http://linuxplumbersconf.org/2009/

---
~Randy
LPC 2009, Sept. 23-25, Portland, Oregon
http://linuxplumbersconf.org/2009/